#ifndef C_LDA_H_
#define C_LDA_H_

//header file for C_lda.c

static PyObject *lda_estep(PyObject *self, PyObject *args);
static PyObject *lda_lagrangians(PyObject *self, PyObject *args);
static PyObject *lda_infer_new_doc(PyObject *self, PyObject *args);

static void normalize_q(double* q, double* p0, double alfa, int n, double max_err,int max_iter, double* b, double* x, double max_denom);
void new_like(int* words, double* pwz, double* pzd, int n_words, int n_topics, int max_w,double* r_real,double* r_cap,int* r_nw);

void get_col(double* pwz,double* p,int col,int n_x,int n_y);
void set_col(double* pwz,double* p,int col,int n_x,int n_y);
double my_abs(double x);
double min(double* b,int n);
double sum(double* x,int n);

int my_isnan(double x);

#endif

